<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('invite_user', function (Blueprint $table) {
            $table->id();
            $table->integer('invite_user_id')->comment("邀请人id");
            $table->integer('user_id')->comment("用户id");
            $table->string('name')->nullable()->comment("用户真实姓名");
            $table->string('mobile')->nullable()->comment("用户电话");
            $table->string('remark')->nullable()->comment("用户备注");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('invite_user');
    }
};
